import request from '@/utils/request'
import { getSession } from "@/utils/sessionStorage";
// login
export function login(data) {
  return request({
    url: '/Public/Login',
    method: 'post',
    data
  })
}

// LoginByVerifyCode
export function LoginByVerifyCode(data) {
  return request({
    url: '/Public/LoginByVerifyCode',
    method: 'post',
    headers: {
      authorization: getSession('phoneToken')
    },
    data
  })
}


// Register
export function register(data) {
  return request({
    url: '/Public/Register',
    method: 'post',
    headers: {
      authorization: getSession('phoneToken')
    },
    data
  })
}

// getVerifyCode
export function getVerifyCode(data) {
  return request({
    url: '/Public/getVerifyCode',
    method: 'post',
    headers: {
      authorization: getSession('phoneToken')
    },
    data
  })
}

// verifyAccount
export function verifyAccount(data) {
  return request({
    url: '/Public/verifyAccount',
    method: 'post',
    headers: {
      authorization: getSession('phoneToken')
    },
    data
  })
}

// 获取
export function getUserInfo(data) {
  return request({
    url: '/User/getUserInfo',
    method: 'post',
    data
  })
}


// 修改用户信息
export function updateUser(data) {
  return request({
    url: '/User/updateUser',
    method: 'post',
    data
  })
}