import Vue from 'vue'
import store from "./store"
import VueCountryIntl from 'vue-country-intl';
import 'vue-country-intl/lib/vue-country-intl.css'
import ElementUI from 'element-ui';
import locale from 'element-ui/lib/locale/lang/zh-TW'
import './assets/theme/index.css'
import App from './App.vue';
import NoData from '@/components/noData'
import router from './router'
import './permission'
import '@/assets/css/index.less'
var bigDecimal = require('js-big-decimal');
import { numToThousand } from '@/utils/index'

import { Popup, Picker, NumberKeyboard } from 'vant';
Vue.use(Popup);
Vue.use(Picker);
Vue.use(NumberKeyboard);

Vue.use(ElementUI, {locale});
Vue.component(VueCountryIntl.name, VueCountryIntl);
Vue.component('NoData', NoData);

Vue.config.productionTip = false
Vue.prototype.$bigDecimal = bigDecimal
Vue.prototype.$numToThousand = numToThousand

new Vue({
  render: h => h(App),
  store,
  router,
}).$mount('#app')
