import router from '@/router'
import store from '@/store'
import { getStorage } from '@/utils/localStorage'
const userToken = getStorage('userToken')
if (userToken) {
  store.commit('SET_LOGIN', true)
}
router.beforeEach(async(to, from, next) => {
  if (to.meta.mustLogin && !store.getters.isLogin) {
    next('/login')
    return
  }
  if (!to.meta.mustLogin && to.meta.loginHidden && store.getters.isLogin) {
    next('/')
    return
  }
  next()
})

router.afterEach(() => {
})

