import { isPc } from '@/utils/index'
import { getUserInfo } from '@/api/user'
import { getStorage } from "@/utils/localStorage";
const app = {
  state: {
    isLogin: false,
    isMobile: isPc(),
    token: getStorage('userToken'),
    userInfo: {}
  },
  mutations: {
    SET_LOGIN: (state, sign) => {
      state.isLogin = sign
    },
    SET_USER_INFO: (state, v) => (state.userInfo = v),
  },
  actions: {
    getUserInfo({ commit, dispatch }) {
      return new Promise((resolve, reject) => {
        getUserInfo().then(res => {
          commit('SET_USER_INFO', res.data)
          resolve(res.data)
        }).catch(error => {
          // reject(error)
        })
      })
    },
  }
}

export default app
