import { getCatList } from '@/api/cart'
const app = {
  state: {
    cartList: [],
    expireList: []
  },
  mutations: {
    setCart: (state, list) => {
      state.cartList = list.filter(item => item.state == 1)
      state.expireList = list.filter(item => item.state != 1)
    },
    setCartList: (state, list) => {
      state.cartList = list
    },
  },
  actions: {
    getCatList({ commit, dispatch }) {
      return new Promise((resolve, reject) => {
        getCatList().then(res => {
          let list = res.pageInfo.list || []
          let time = new Date().getTime()
          list.forEach(item => {
            item.checked = true
            if (item.eventBean) {
              if (item.eventBean.start_datetime <= time && time <= item.eventBean.end_datetime) {
                item.state = 1
              } else {
                item.state = 2
              }
            }
            item.continuous = (item.continuous ? JSON.parse(item.continuous) : [])
            item.detailList.forEach(i => {
              i.continuous = (i.continuous ? JSON.parse(i.continuous) : [])
            })
          })
          commit('setCart', list)
          resolve(list)
        }).catch(error => {
          // reject(error)
        })
      })
    },
  }
}

export default app
