import { Toast } from 'vant'

export function copyText(text) {
  let oInput = document.getElementById('copy-input')
  oInput.value = text
  oInput.select() // 选择对象;
  document.execCommand('Copy') // 执行浏览器复制命令
  Toast('複製成功')
}

export function isPc(){
  if(window.navigator.userAgent.match(/(phone|pad|pod|iPhone|iPod|ios|iPad|Android|Mobile|BlackBerry|IEMobile|MQQBrowser|JUC|Fennec|wOSBrowser|BrowserNG|WebOS|Symbian|Windows Phone)/i)) {
    return true; // 移动端
  }else{
    return false; // PC端
  }
}

export function deepCopy(obj) {
  if (typeof obj !== 'object' || obj === null) {
      return obj;
  }
  let newObj = Array.isArray(obj) ? [] : {};
  for (let key in obj) {
      newObj[key] = deepCopy(obj[key]);
  }
  return newObj;
}

export function parseTime(time, cFormat) {
  if (arguments.length === 0) {
    return null
  }
  const format = cFormat || '{y}-{m}-{d} {h}:{i}:{s}'
  let date
  if (typeof time === 'object') {
    date = time
  } else {
    if (('' + time).length === 10) {
      time = parseInt(time) * 1000
    }
    date = new Date(parseInt(time))
  }
  const formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }
  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
    let value = formatObj[key]
    // Note: getDay() returns 0 on Sunday
    if (key === 'a') { return ['日', '一', '二', '三', '四', '五', '六'][value] }
    if (result.length > 0 && value < 10) {
      value = '0' + value
    }
    return value || 0
  })
  return time_str
}

export function numToThousand(num) {
  if (!num || isNaN(Number(num))) {
    return '0'
  }
  let str = (Number(num) + '').split('.');
  var reg = /(?=(?!\b)(\d{3})+$)/g
  let data = str[0].replace(reg, ',')
  if (str[1]) {
    data += ('.' + str[1])
  }
  return data
}